Uploaded image for project: 'Appcelerator CLI'
  1. Appcelerator CLI
  2. CLI-827

Only CLI 5.0.2 & NodeJS 0.12.7 give: [Error: Module did not self-register.]

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: Release 5.0.2
    • Fix Version/s: Release 5.2.0
    • Component/s: Core
    • Labels:
      None
    • Environment:
    • Story Points:
      5
    • Sprint:
      2015 Sprint 24 Tooling

      Description

      Only CLI 5.0.2 and NodeJS 0.12.7 show the following error during different commands:

      Fokkes-MacBook-Pro:ticons-server fokkezb$ appc
      [Error: Module did not self-register.]
      Appcelerator Command-Line Interface, version 5.0.2
      Copyright (c) 2014-2015, Appcelerator, Inc.  All Rights Reserved.
       
       
        Usage: appc cmd [options]
      

      CLI 5.0.1 with NodeJS 0.12.7 works fine, as does CLI 5.0.2 with NodeJS 0.10.40.

      CLI 5.0.2 & NodeJS 0.12.7
      CLI 5.0.1 & NodeJS 0.12.7
      CLI 5.0.2 & NodeJS 0.12.7
      CLI 5.0.2 & NodeJS 0.10.40

      The workaround is to use "appc use 0.X.X --force"

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                fmiao Feon Sua Xin Miao
                Reporter:
                fokkezb Fokke Zandbergen
                Reviewer:
                Praveen Innamuri (Inactive)
              • Watchers:
                10 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Git Source Code